Index: modules/dnet-mapreduce-jobs/branches/beta/src/test/resources/eu/dnetlib/data/transform/opentrials_datacite1.xml
===================================================================
--- modules/dnet-mapreduce-jobs/branches/beta/src/test/resources/eu/dnetlib/data/transform/opentrials_datacite1.xml	(revision 53118)
+++ modules/dnet-mapreduce-jobs/branches/beta/src/test/resources/eu/dnetlib/data/transform/opentrials_datacite1.xml	(revision 53119)
@@ -1,37 +1,37 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <oai:record xmlns:dr="http://www.driver-repository.eu/namespace/dr"
-            xmlns:dri="http://www.driver-repository.eu/namespace/dri"
-            xmlns:oaf="http://namespace.openaire.eu/oaf" xmlns:oai="http://www.openarchives.org/OAI/2.0/">
+			xmlns:dri="http://www.driver-repository.eu/namespace/dri"
+			xmlns:oaf="http://namespace.openaire.eu/oaf" xmlns:oai="http://www.openarchives.org/OAI/2.0/">
 	<oai:header>
-		<dri:objIdentifier>opentrials__::8ecdada110308105f00577fdca45de66</dri:objIdentifier>
-		<dri:recordIdentifier>ee53b821-8194-460a-81e8-dc9db51e2ab1</dri:recordIdentifier>
-		<dri:dateOfCollection>2016-05-16T16:29:33.918Z</dri:dateOfCollection>
-		<dri:repositoryId>565d5706-a3e3-4b8b-8ace-ad1c1b892421_UmVwb3NpdG9yeVNlcnZpY2VSZXNvdXJjZXMvUmVwb3NpdG9yeVNlcnZpY2VSZXNvdXJjZVR5cGU=</dri:repositoryId>
+		<dri:objIdentifier>opentrials__::00000cf9052d6bf57e8bc92e4a9f6995</dri:objIdentifier>
+		<dri:recordIdentifier>b6c501d0-8ca1-11e6-988b-0242ac12000c</dri:recordIdentifier>
+		<dri:dateOfCollection>2017-12-15T17:18:55.844Z</dri:dateOfCollection>
 		<oaf:datasourceprefix>opentrials__</oaf:datasourceprefix>
-		<dr:dateOfTransformation>2016-10-11T11:11:45.47Z</dr:dateOfTransformation>
+		<dr:dateOfTransformation>2018-07-06T14:22:35.463Z</dr:dateOfTransformation>
 	</oai:header>
 	<oai:metadata>
 		<resource xmlns="http://datacite.org/schema/kernel-3"
-		          xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://datacite.org/schema/kernel-3 http://schema.datacite.org/meta/kernel-3/metadata.xsd">
-			<identifier identifierType="URL">http://explorer.opentrials.net/trials/abcdefghi</identifier>
+				  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://datacite.org/schema/kernel-3 http://schema.datacite.org/meta/kernel-3/metadata.xsd">
+			<identifier identifierType="URL">https://clinicaltrials.gov/ct2/show/NCT02917408</identifier>
 			<alternateIdentifiers>
-				<alternateIdentifier alternateIdentifierType="URL">https://www.clinicaltrials.gov/ct2/show/NCT00292877?lup_e=02%2F04%2F2016&amp;lup_s=01%2F01%2F2001&amp;rank=181481&amp;resultsxml=true</alternateIdentifier>
-				<alternateIdentifier alternateIdentifierType="ictrp">NCT00292877</alternateIdentifier>
+				<alternateIdentifier alternateIdentifierType="URL">https://clinicaltrials.gov/ct2/show/NCT02917408</alternateIdentifier>
+				<alternateIdentifier alternateIdentifierType="nct">NCT02917408</alternateIdentifier>
 			</alternateIdentifiers>
 			<creators/>
 			<titles>
-				<title>The Effects of a Humanized Anti-IL-5 Monoclonal Antibody (SB-240563) on Asthma Control, Airway Eosinophilia and the Degree to Which Corticosteroid Treatment Can be Reduced to Maintain Control</title>
-				<title>The Prednisone-sparing Effect of Anti-IL-5 Antibody (SB-240563)</title>
+				<title>Retrospective Study About Primary Biliary Cholangitis During January 2001 to July 2016 at West China Hospital</title>
 			</titles>
-			<publisher>ictrp</publisher>
-			<resourceType resourceTypeGeneral="clinicalTrial">clinical trial</resourceType>
-			<descriptions/>
-			<sizes>
-				<size>Target sample size: 20</size>
-			</sizes>
-			<oaf:accessrights>UNKNOWN</oaf:accessrights>
-			<dr:CobjCategory>clinical trial</dr:CobjCategory>
-			<oaf:dateAccepted>2016-04-09</oaf:dateAccepted>
+			<publisher>nct</publisher>
+			<geoLocations>
+				<geoLocationPlace>China</geoLocationPlace>
+			</geoLocations>
+			<resourceType resourceTypeGeneral="Dataset">0037</resourceType>
+			<descriptions>
+				<description descriptionType="Abstract">Retrospective study of all patients diagnosed with primary biliary cholangitis during January 2001 to July 2016 at West China Hospital by review of medical records. The following variables will be retrospectively studied: age, sex, first symptoms, clinical characteristics, pathology, treatment, stage, complications of cirrhosis, other autoimmune diseases and long-term outcome.</description>
+			</descriptions>
+			<oaf:accessrights>OPEN</oaf:accessrights>
+			<dr:CobjCategory type="dataset">0037</dr:CobjCategory>
+			<oaf:dateAccepted>2016-09-06</oaf:dateAccepted>
 			<oaf:hostedBy id="openaire____::opentrials" name="OpenTrials"/>
 			<oaf:collectedFrom id="openaire____::opentrials" name="OpenTrials"/>
 			<oaf:about>
@@ -48,12 +48,11 @@
 			</oaf:about>
 		</resource>
 	</oai:metadata>
-	<about xmlns="http://namespace.openaire.eu/"
-	       xmlns:dc="http://purl.org/dc/elements/1.1/"
-	       xmlns:prov="http://www.openarchives.org/OAI/2.0/provenance" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
+	<about xmlns:dc="http://purl.org/dc/elements/1.1/"
+		   xmlns:prov="http://www.openarchives.org/OAI/2.0/provenance" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
 		<provenance xmlns="http://www.openarchives.org/OAI/2.0/provenance" xsi:schemaLocation="http://www.openarchives.org/OAI/2.0/provenance http://www.openarchives.org/OAI/2.0/provenance.xsd">
-			<originDescription altered="true" harvestDate="2016-05-16T16:29:33.918Z">
-				<baseURL>file:///var/lib/dnet/data/opentrials.csv</baseURL>
+			<originDescription altered="true" harvestDate="2017-12-15T17:18:55.844Z">
+				<baseURL>file:///var/lib/dnet/data/opentrials/opentrials.csv</baseURL>
 				<identifier/>
 				<datestamp/>
 				<metadataNamespace/>
@@ -65,8 +64,8 @@
 			<oaf:trust>0.9</oaf:trust>
 			<oaf:inferenceprovenance/>
 			<oaf:provenanceaction classid="sysimport:crosswalk:datasetarchive"
-			                      classname="sysimport:crosswalk:datasetarchive"
-			                      schemeid="dnet:provenanceActions" schemename="dnet:provenanceActions"/>
+								  classname="sysimport:crosswalk:datasetarchive"
+								  schemeid="dnet:provenanceActions" schemename="dnet:provenanceActions"/>
 		</oaf:datainfo>
 	</about>
-</oai:record>
\ No newline at end of file
+</oai:record>