Index: modules/uoa-repository-dashboard-gui/trunk/app/pages/metrics/metrics-usagestats-report-results.component.ts
===================================================================
--- modules/uoa-repository-dashboard-gui/trunk/app/pages/metrics/metrics-usagestats-report-results.component.ts	(revision 53187)
+++ modules/uoa-repository-dashboard-gui/trunk/app/pages/metrics/metrics-usagestats-report-results.component.ts	(revision 53188)
@@ -26,6 +26,7 @@
   selectedItemIndex: number;
 
   pageSizeSelect: FormGroup;
+  chosenReport: string;
 
   constructor(private route: ActivatedRoute,
               private authService: AuthenticationService,
@@ -54,6 +55,7 @@
       this.params.append('Granularity', qparams['granularity']);
     });
 
+    this.chosenReport = this.params.get('Report');
     this.getReportResponse();
   }
 
@@ -140,7 +142,7 @@
     }
   }
 
-  transformItem(urls: string) {
+  transformItem(itemIdentifiers: any[]) {
     /*const temp = urls.split(';');
     let output = '';
     for (let u of temp) {
@@ -149,7 +151,12 @@
       }
       output = output + u.replace(/\\/g,'').trim();
     }*/
-    return urls.split(';');
+    const i = itemIdentifiers.findIndex(x => x['Type'] === 'URL');
+    if ( i > -1 ){
+      const urls = itemIdentifiers[i]['Value'];
+      return urls.split(';');
+    }
+    return '';
   }
 
   getBg(i: number) {
Index: modules/uoa-repository-dashboard-gui/trunk/app/pages/metrics/metrics-usagestats-report.component.ts
===================================================================
--- modules/uoa-repository-dashboard-gui/trunk/app/pages/metrics/metrics-usagestats-report.component.ts	(revision 53187)
+++ modules/uoa-repository-dashboard-gui/trunk/app/pages/metrics/metrics-usagestats-report.component.ts	(revision 53188)
@@ -23,6 +23,7 @@
   repoId: string;
   shownRepoId: string;
   shownOpenaireId: string;
+  useCurrentRepo: boolean;
   issnToShow: string = '';
   chosen_report: string;
 
@@ -50,6 +51,9 @@
     this.shownRepoId = this.convertToDisplayedFormat(this.repoId);
     console.log(`shownRepoId is ${this.repoId}`);
     this.title = `${this.chosen_report} report`;
+    if (this.chosen_report !== 'RR1') {
+      this.useCurrentRepo = true;
+    }
   }
 
   convertToDisplayedFormat(input: string) {
@@ -75,8 +79,8 @@
         if (this.repo.piwikInfo) {
           this.shownOpenaireId = this.convertToDisplayedFormat(this.repo.piwikInfo.openaireId);
         }
-        if (this.repo.issn){
-          this.issnToShow = this.repo.issn.slice(0, 4)+ '-' + this.repo.issn.toString().slice(4);
+        if (this.repo.issn && this.repo.issn !== 'null'){
+          this.shownRepoId = this.repo.issn.slice(0, 4)+ '-' + this.repo.issn.toString().slice(4);
         }
         this.title = `${this.chosen_report} report for ${this.repo.officialName}`;
         if ( this.authService.activateFrontAuthorization && (this.authService.getUserEmail() !== this.repo.registeredBy) ) {
@@ -106,7 +110,12 @@
     this.granularity = event.target.value;
   }
 
+  updateUseCurrentRepo(event: any) {
+    this.useCurrentRepo = event.target.value;
+  }
+
   goToReport() {
+    if (!this.useCurrentRepo) { this.shownRepoId = ''; }
     this.router.navigate(['/getImpact/usagestats-report-results'], {
       queryParams: {
         report: this.chosen_report,
Index: modules/uoa-repository-dashboard-gui/trunk/app/pages/metrics/metrics-usagestats-report-results.component.html
===================================================================
--- modules/uoa-repository-dashboard-gui/trunk/app/pages/metrics/metrics-usagestats-report-results.component.html	(revision 53187)
+++ modules/uoa-repository-dashboard-gui/trunk/app/pages/metrics/metrics-usagestats-report-results.component.html	(revision 53188)
@@ -116,9 +116,10 @@
                           <table class="uk-table uk-table-middle uk-table-striped" style="vertical-align: top !important;">
                             <thead>
                               <tr>
-                                <th>Item Urls</th>
-                                <th>Title</th>
-                                <th>Publisher</th>
+                                <th *ngIf="chosenReport !== 'RR1'">Title</th>
+                                <th *ngIf="chosenReport !== 'RR1'">Publisher</th>
+                                <th *ngIf="chosenReport === 'RR1'">Platform name</th>
+                                <th>{{ (chosenReport !== 'RR1') ? 'Item Urls' : 'Url' }}</th>
                                 <th>Type</th>
                                 <th colspan="2">Downloads/Views</th>
                               </tr>
@@ -127,13 +128,14 @@
                             <tbody *ngFor="let item of repoResponse.Report.Report.Customer.ReportItems; let item_i = index"
                                    style="border-bottom: 1px solid whitesmoke;">
                               <tr>
+                                <td *ngIf="chosenReport !== 'RR1'">{{ item.ItemName }}</td>
+                                <td *ngIf="chosenReport !== 'RR1'">{{ item.ItemPublisher }}</td>
+                                <td *ngIf="chosenReport === 'RR1'">{{ item.ItemPlatform }}</td>
                                 <td>
-                                <span *ngFor="let url of transformItem(item.ItemIdentifier[1].Value); let i = index">
-                                  <br *ngIf="i>0">{{ url }}
-                                </span>
+                                  <span *ngFor="let url of transformItem(item.ItemIdentifier); let i = index">
+                                    <br *ngIf="i>0">{{ url }}
+                                  </span>
                                 </td>
-                                <td>{{ item.ItemName }}</td>
-                                <td>{{ item.ItemPublisher }}</td>
                                 <td>{{ item.ItemDataType }}</td>
                                 <td class="uk-text-center"
                                     *ngIf="repoResponse.ReportDefinition.Filters.ReportAttribute[0].Value === 'Monthly'" colspan="2">
Index: modules/uoa-repository-dashboard-gui/trunk/app/pages/metrics/metrics-usagestats-report.component.html
===================================================================
--- modules/uoa-repository-dashboard-gui/trunk/app/pages/metrics/metrics-usagestats-report.component.html	(revision 53187)
+++ modules/uoa-repository-dashboard-gui/trunk/app/pages/metrics/metrics-usagestats-report.component.html	(revision 53188)
@@ -81,11 +81,14 @@
                     </div>
                   </div>
                   <h5><span *ngIf="chosen_report == 'RR1' || chosen_report == 'JR1'">Optional </span>Filters</h5>
-                  <p>Provide either a Repository Identifier or an Item Identifier<br>
+                  <p *ngIf="chosen_report != 'RR1' && chosen_report != 'JR1'">
+                    For more specific results, provide an Item Identifier.<br>
                     Identifier format: <b>namespace:value</b><br>
-                    Valid namespace for Repository Identifier: <b>openaire</b> or <b>opendoar</b>.<br>
                     Valid namespace for Item Identifier: <b>openaire</b>, <b>doi</b> or <b>oid</b>(for OAI-PMH).
                   </p>
+            		  <p *ngIf="chosen_report =='RR1'">
+                    By default results are returned for all repositories.<br>
+		                To get just the results for the current repository, check the box.</p>
                   <div *ngIf="chosen_report != 'JR1'" class="uk-grid">
                     <div class=" uk-width-1-3 uk-text-right">
                       Repository Identifier:
@@ -93,6 +96,13 @@
                     <div class="uk-width-2-3">
                       {{ shownRepoId }}
                     </div>
+                    <div *ngIf="chosen_report =='RR1'" class=" uk-width-1-3 uk-text-right">
+                      Select current repository
+                    </div>
+                    <div *ngIf="chosen_report =='RR1'" class="uk-width-2-3 checkbox">
+                      <input type="checkbox" value="useCurrentRepo"
+                             (change)="updateUseCurrentRepo($event)">
+                    </div>
                   </div>
                   <div *ngIf="repo.issn && chosen_report == 'JR1'" class="uk-grid">
                     <div class=" uk-width-1-3 uk-text-right">
@@ -99,7 +109,7 @@
                       Journal Identifier:
                     </div>
                     <div class="uk-width-2-3">
-                      {{ issnToShow }}
+                      {{ shownRepoId }}
                     </div>
                   </div>
                   <div *ngIf="chosen_report != 'JR1' && chosen_report != 'RR1'" class="uk-grid">