Index: modules/dnet-openaireplus-profiles/trunk/src/main/resources/eu/dnetlib/test/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/coreuk/core_springer2oaf.xml
===================================================================
--- modules/dnet-openaireplus-profiles/trunk/src/main/resources/eu/dnetlib/test/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/coreuk/core_springer2oaf.xml	(revision 53678)
+++ modules/dnet-openaireplus-profiles/trunk/src/main/resources/eu/dnetlib/test/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/coreuk/core_springer2oaf.xml	(revision 53679)
@@ -13,7 +13,7 @@
                 <TITLE>core_springer2oaf</TITLE>
                 <CODE>
                     <![CDATA[
-  <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+ <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
     xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:dc="http://purl.org/dc/elements/1.1/"
     xmlns:dr="http://www.driver-repository.eu/namespace/dr"
     xmlns:dri="http://www.driver-repository.eu/namespace/dri"
@@ -24,14 +24,22 @@
     <xsl:param name="varOfficialName"/>
     <xsl:param name="varDataSourceId"/>
 
-
-
+    <xsl:variable name="issn" select=".//ISSN"/>
+    <xsl:variable name="volume" select=".//volume"/>
+    <xsl:variable name="licence" select=".//license/URL"/>
+    <xsl:variable name="issue" select=".//issue"/>
+    <xsl:variable name="spage" select="normalize-space(tokenize(.//page,'-')[1])"/>
+    <xsl:variable name="epage" select="normalize-space(tokenize(.//page,'-')[2])"/>
     <xsl:template match="publisher">
         <dc:publisher>
             <xsl:value-of select="."/>
         </dc:publisher>
     </xsl:template>
-
+    <xsl:template match="license">
+        <dc:rights>
+            <xsl:value-of select="./URL"/>
+        </dc:rights>
+    </xsl:template>
     <xsl:template match="/">
         <xsl:if test="not(.//error)">
             <record>
@@ -46,9 +54,6 @@
                     <oaf:accessrights>OPEN</oaf:accessrights>
                     <oaf:hostedBy id="openaire____::SpringerOA"
                         name="SpringerOpen"/>
-                   <!-- <oaf:accessrights>UNKNOWN</oaf:accessrights>
-                    <oaf:hostedBy id="openaire____::1256f046-bf1f-4afc-8b47-d0b147148b18"
-                        name="Unknown Repository"/>-->
                     <oaf:collectedFrom>
                         <xsl:attribute name="name">
                             <xsl:value-of select="$varOfficialName"/>
@@ -86,9 +91,9 @@
             <xsl:value-of select="string-join(($date[1], $date[2], $date[3]), '-')"/>
         </xsl:variable>
 
-            <dc:date>
-                <xsl:value-of select="$d"/>
-            </dc:date>
+        <dc:date>
+            <xsl:value-of select="$d"/>
+        </dc:date>
 
 
     </xsl:template>
@@ -122,14 +127,24 @@
                 </dc:type>
 
                 <dr:CobjCategory>0001</dr:CobjCategory>
-                    <oaf:journal>
-                        <xsl:value-of select="normalize-space(../container-title)"/>
-                    </oaf:journal>
+                <xsl:choose>
+                    <xsl:when test="count($issn) > 0">
+                        <oaf:journal issn="{$issn[1]}"
+                            volq="{$volume}"
+                            issue="{$issue}"
+                            sp="{$spage}"
+                            ep="{$epage}"
+                            >
+                    <xsl:value-of select="normalize-space(../container-title)"/>
+                </oaf:journal>
+                    </xsl:when>
+                </xsl:choose>
+
             </xsl:when>
             <xsl:when test=". eq book-chapter">
                 <dc:type>
-            <xsl:value-of select="string('info:eu-repo/semantics/bookPart')"/>
-        </dc:type>
+                    <xsl:value-of select="string('info:eu-repo/semantics/bookPart')"/>
+                </dc:type>
                 <dc:type>
                     <xsl:value-of select="string('book chapter')"/>
                 </dc:type>
@@ -136,28 +151,7 @@
                 <dc:source>
                     <xsl:value-of select="../container-title"/>
                 </dc:source>
-                <!--  <xsl:template match="content_item">
-        <dc:type>
-            <xsl:value-of select="string('info:eu-repo/semantics/bookPart')"/>
-        </dc:type>
-        <dc:type>
-            <xsl:value-of select="./@component_type"/>
-        </dc:type>
-        <xsl:choose>
-            <xsl:when test="../book_series_metadata">
-                <dc:source>
-                    <xsl:value-of select="concat(normalize-space(../book_series_metadata/series_metadata/*/title), ' - ', normalize-space(../book_series_metadata/titles/title))"/>
-                </dc:source>
-            </xsl:when>
-            <xsl:when test="../book_metadata">
-                <dc:source>
-                    <xsl:value-of select="normalize-space(../book_metadata/*/title)"/>
-                </dc:source>
-            </xsl:when>
-            </xsl:choose>
-        <dr:CobjCategory>0013</dr:CobjCategory>
 
-    </xsl:template> -->
                 <dr:CobjCategory>0013</dr:CobjCategory>
             </xsl:when>
 
@@ -164,16 +158,14 @@
         </xsl:choose>
     </xsl:template>
 
-    <xsl:template match="downloadFileUrl">
-        <downloadFileUrl><xsl:value-of select="."/></downloadFileUrl>
+
+
+    <xsl:template match="subject">
+        <dc:subject>
+            <xsl:value-of select="."/>
+        </dc:subject>
     </xsl:template>
 
-   <xsl:template match="subject">
-       <dc:subject>
-           <xsl:value-of select="."/>
-       </dc:subject>
-   </xsl:template>
-
     <!-- Extend with new templates for additional types of publication     -->
 
     <xsl:template match="* | @*"/>
@@ -180,6 +172,8 @@
 
 </xsl:stylesheet>
 
+
+
 ]]>
                 </CODE>
             </SCRIPT>