Index: modules/dnet-directindex-api/branches/solr75/deploy.info
===================================================================
--- modules/dnet-directindex-api/branches/solr75/deploy.info	(revision 53807)
+++ modules/dnet-directindex-api/branches/solr75/deploy.info	(revision 53808)
@@ -1 +1 @@
-{"type_source": "SVN", "goal": "package -U source:jar", "url": "http://svn-public.driver.research-infrastructures.eu/driver/dnet45/modules/dnet-directindex-api/trunk/", "deploy_repository": "dnet45-snapshots", "version": "4", "mail": "sandro.labruzzo@isti.cnr.it,michele.artini@isti.cnr.it, claudio.atzori@isti.cnr.it, alessia.bardi@isti.cnr.it", "deploy_repository_url": "http://maven.research-infrastructures.eu/nexus/content/repositories/dnet45-snapshots", "name": "dnet-directindex-api"}
\ No newline at end of file
+{"type_source": "SVN", "goal": "package -U source:jar", "url": "http://svn-public.driver.research-infrastructures.eu/driver/dnet45/modules/dnet-directindex-api/branches/solr75", "deploy_repository": "dnet45-snapshots", "version": "4", "mail": "sandro.labruzzo@isti.cnr.it,michele.artini@isti.cnr.it, claudio.atzori@isti.cnr.it, alessia.bardi@isti.cnr.it", "deploy_repository_url": "http://maven.research-infrastructures.eu/nexus/content/repositories/dnet45-snapshots", "name": "dnet-directindex-api_solr75"}
\ No newline at end of file
Index: modules/dnet-openaireplus-mapping-utils/branches/solr75/deploy.info
===================================================================
--- modules/dnet-openaireplus-mapping-utils/branches/solr75/deploy.info	(revision 53807)
+++ modules/dnet-openaireplus-mapping-utils/branches/solr75/deploy.info	(revision 53808)
@@ -1,2 +1,2 @@
 {"type_source": "SVN", "goal": "package -U source:jar", 
-"url": "http://svn-public.driver.research-infrastructures.eu/driver/dnet45/modules/dnet-openaireplus-mapping-utils/trunk/", "deploy_repository": "dnet45-snapshots", "version": "4", "mail": "sandro.labruzzo@isti.cnr.it,michele.artini@isti.cnr.it, claudio.atzori@isti.cnr.it, alessia.bardi@isti.cnr.it", "deploy_repository_url": "http://maven.research-infrastructures.eu/nexus/content/repositories/dnet45-snapshots", "name": "dnet-openaireplus-mapping-utils"}
\ No newline at end of file
+"url": "http://svn-public.driver.research-infrastructures.eu/driver/dnet45/modules/dnet-openaireplus-mapping-utils/branches/solr75", "deploy_repository": "dnet45-snapshots", "version": "4", "mail": "sandro.labruzzo@isti.cnr.it,michele.artini@isti.cnr.it, claudio.atzori@isti.cnr.it, alessia.bardi@isti.cnr.it", "deploy_repository_url": "http://maven.research-infrastructures.eu/nexus/content/repositories/dnet45-snapshots", "name": "dnet-openaireplus-mapping-utils_solr75"}
\ No newline at end of file
Index: modules/dnet-openaireplus-workflows/branches/solr75/deploy.info
===================================================================
--- modules/dnet-openaireplus-workflows/branches/solr75/deploy.info	(revision 53807)
+++ modules/dnet-openaireplus-workflows/branches/solr75/deploy.info	(revision 53808)
@@ -1 +1 @@
-{"type_source": "SVN", "goal": "package -U source:jar", "url": "http://svn-public.driver.research-infrastructures.eu/driver/dnet45/modules/dnet-openaireplus-workflows/trunk/", "deploy_repository": "dnet45-snapshots", "version": "4", "mail": "sandro.labruzzo@isti.cnr.it,michele.artini@isti.cnr.it, claudio.atzori@isti.cnr.it, alessia.bardi@isti.cnr.it", "deploy_repository_url": "http://maven.research-infrastructures.eu/nexus/content/repositories/dnet45-snapshots", "name": "dnet-openaireplus-workflows"}
\ No newline at end of file
+{"type_source": "SVN", "goal": "package -U source:jar", "url": "http://svn-public.driver.research-infrastructures.eu/driver/dnet45/modules/dnet-openaireplus-workflows/branches/solr75", "deploy_repository": "dnet45-snapshots", "version": "4", "mail": "sandro.labruzzo@isti.cnr.it,michele.artini@isti.cnr.it, claudio.atzori@isti.cnr.it, alessia.bardi@isti.cnr.it", "deploy_repository_url": "http://maven.research-infrastructures.eu/nexus/content/repositories/dnet45-snapshots", "name": "dnet-openaireplus-workflows_solr75"}
\ No newline at end of file
Index: modules/dnet-index-solr-common/branches/solr75/deploy.info
===================================================================
--- modules/dnet-index-solr-common/branches/solr75/deploy.info	(revision 53807)
+++ modules/dnet-index-solr-common/branches/solr75/deploy.info	(revision 53808)
@@ -1 +1 @@
-{"type_source": "SVN", "goal": "package -U -T 4C source:jar", "url": "http://svn-public.driver.research-infrastructures.eu/driver/dnet45/modules/dnet-index-solr-common/trunk/", "deploy_repository": "dnet45-snapshots", "version": "4", "mail": "sandro.labruzzo@isti.cnr.it,michele.artini@isti.cnr.it, claudio.atzori@isti.cnr.it, alessia.bardi@isti.cnr.it", "deploy_repository_url": "http://maven.research-infrastructures.eu/nexus/content/repositories/dnet45-snapshots", "name": "dnet-index-solr-common"}
\ No newline at end of file
+{"type_source": "SVN", "goal": "package -U -T 4C source:jar", "url": "http://svn-public.driver.research-infrastructures.eu/driver/dnet45/modules/dnet-index-solr-common/branches/solr75", "deploy_repository": "dnet45-snapshots", "version": "4", "mail": "sandro.labruzzo@isti.cnr.it,michele.artini@isti.cnr.it, claudio.atzori@isti.cnr.it, alessia.bardi@isti.cnr.it", "deploy_repository_url": "http://maven.research-infrastructures.eu/nexus/content/repositories/dnet45-snapshots", "name": "dnet-index-solr-common_solr75"}
\ No newline at end of file
Index: modules/dnet-modular-index-ui/branches/solr75/deploy.info
===================================================================
--- modules/dnet-modular-index-ui/branches/solr75/deploy.info	(revision 53807)
+++ modules/dnet-modular-index-ui/branches/solr75/deploy.info	(revision 53808)
@@ -1 +1 @@
-{"type_source": "SVN", "goal": "package -U -T 4C source:jar", "url": "http://svn-public.driver.research-infrastructures.eu/driver/dnet45/modules/dnet-modular-index-ui/trunk/", "deploy_repository": "dnet45-snapshots", "version": "4", "mail": "sandro.labruzzo@isti.cnr.it,michele.artini@isti.cnr.it, claudio.atzori@isti.cnr.it, alessia.bardi@isti.cnr.it", "deploy_repository_url": "http://maven.research-infrastructures.eu/nexus/content/repositories/dnet45-snapshots", "name": "dnet-modular-index-ui"}
\ No newline at end of file
+{"type_source": "SVN", "goal": "package -U -T 4C source:jar", "url": "http://svn-public.driver.research-infrastructures.eu/driver/dnet45/modules/dnet-modular-index-ui/branches/solr75", "deploy_repository": "dnet45-snapshots", "version": "4", "mail": "sandro.labruzzo@isti.cnr.it,michele.artini@isti.cnr.it, claudio.atzori@isti.cnr.it, alessia.bardi@isti.cnr.it", "deploy_repository_url": "http://maven.research-infrastructures.eu/nexus/content/repositories/dnet45-snapshots", "name": "dnet-modular-index-ui_solr75"}
\ No newline at end of file
Index: modules/dnet-index-client/branches/solr75/deploy.info
===================================================================
--- modules/dnet-index-client/branches/solr75/deploy.info	(revision 53807)
+++ modules/dnet-index-client/branches/solr75/deploy.info	(revision 53808)
@@ -1 +1 @@
-{"type_source": "SVN", "goal": "package -U -T 4C source:jar", "url": "http://svn-public.driver.research-infrastructures.eu/driver/dnet45/modules/dnet-index-client/trunk/", "deploy_repository": "dnet45-snapshots", "version": "4", "mail": "sandro.labruzzo@isti.cnr.it,michele.artini@isti.cnr.it, claudio.atzori@isti.cnr.it, alessia.bardi@isti.cnr.it", "deploy_repository_url": "http://maven.research-infrastructures.eu/nexus/content/repositories/dnet45-snapshots", "name": "dnet-index-client"}
\ No newline at end of file
+{"type_source": "SVN", "goal": "package -U -T 4C source:jar", "url": "http://svn-public.driver.research-infrastructures.eu/driver/dnet45/modules/dnet-index-client/branches/solr75", "deploy_repository": "dnet45-snapshots", "version": "4", "mail": "sandro.labruzzo@isti.cnr.it,michele.artini@isti.cnr.it, claudio.atzori@isti.cnr.it, alessia.bardi@isti.cnr.it", "deploy_repository_url": "http://maven.research-infrastructures.eu/nexus/content/repositories/dnet45-snapshots", "name": "dnet-index-client_solr75"}
\ No newline at end of file
Index: modules/dnet-deduplication/branches/solr75/deploy.info
===================================================================
--- modules/dnet-deduplication/branches/solr75/deploy.info	(revision 53807)
+++ modules/dnet-deduplication/branches/solr75/deploy.info	(revision 53808)
@@ -1,10 +1,10 @@
 {
 	"type_source": "SVN", 
 	"goal": "package -U source:jar", 
-	"url": "http://svn-public.driver.research-infrastructures.eu/driver/dnet45/modules/dnet-deduplication/trunk", 
+	"url": "http://svn-public.driver.research-infrastructures.eu/driver/dnet45/modules/dnet-deduplication/branches/solr75",
 	"deploy_repository": "dnet45-snapshots", 
 	"version": "4", 
 	"mail": "alessia.bardi@isti.cnr.it", 
 	"deploy_repository_url": "http://maven.research-infrastructures.eu/nexus/content/repositories/dnet45-snapshots", 
-	"name": "dnet-deduplication"
+	"name": "dnet-deduplication_solr75"
 }