Index: modules/dnet-modular-collector-service/trunk/src/test/java/eu/dnetlib/data/collector/plugins/oaisets/OaiSetsCollectorPluginTest.java
===================================================================
--- modules/dnet-modular-collector-service/trunk/src/test/java/eu/dnetlib/data/collector/plugins/oaisets/OaiSetsCollectorPluginTest.java	(revision 53931)
+++ modules/dnet-modular-collector-service/trunk/src/test/java/eu/dnetlib/data/collector/plugins/oaisets/OaiSetsCollectorPluginTest.java	(revision 53932)
@@ -1,9 +1,11 @@
 package eu.dnetlib.data.collector.plugins.oaisets;
 
 import java.util.HashMap;
-
 import javax.annotation.Resource;
 
+import com.google.common.base.Joiner;
+import eu.dnetlib.data.collector.rmi.CollectorServiceException;
+import eu.dnetlib.data.collector.rmi.InterfaceDescriptor;
 import org.junit.Before;
 import org.junit.Ignore;
 import org.junit.Test;
@@ -11,11 +13,6 @@
 import org.springframework.test.context.ContextConfiguration;
 import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;
 
-import com.google.common.base.Joiner;
-
-import eu.dnetlib.data.collector.rmi.CollectorServiceException;
-import eu.dnetlib.data.collector.rmi.InterfaceDescriptor;
-
 @RunWith(SpringJUnit4ClassRunner.class)
 @ContextConfiguration(value = "applicationContext-OaiSetsCollectorPluginTest.xml")
 public class OaiSetsCollectorPluginTest {
Index: modules/dnet-modular-collector-service/trunk/src/test/java/eu/dnetlib/data/collector/plugins/HttpConnectorTest.java
===================================================================
--- modules/dnet-modular-collector-service/trunk/src/test/java/eu/dnetlib/data/collector/plugins/HttpConnectorTest.java	(revision 53931)
+++ modules/dnet-modular-collector-service/trunk/src/test/java/eu/dnetlib/data/collector/plugins/HttpConnectorTest.java	(revision 53932)
@@ -3,22 +3,14 @@
 import java.io.IOException;
 import java.net.HttpURLConnection;
 import java.net.URL;
-import java.util.concurrent.TimeUnit;
-import javax.net.ssl.HttpsURLConnection;
-import javax.net.ssl.SSLProtocolException;
 
 import eu.dnetlib.data.collector.rmi.CollectorServiceException;
 import org.apache.commons.logging.Log;
 import org.apache.commons.logging.LogFactory;
-import org.apache.http.HttpResponse;
-import org.apache.http.client.methods.HttpGet;
-import org.apache.http.conn.ssl.SSLConnectionSocketFactory;
-import org.apache.http.impl.client.HttpClientBuilder;
-import org.apache.http.ssl.SSLContextBuilder;
 import org.junit.Before;
 import org.junit.Ignore;
 import org.junit.Test;
-import org.springframework.http.client.HttpComponentsClientHttpRequestFactory;
+
 @Ignore
 public class HttpConnectorTest {
 
@@ -29,35 +21,6 @@
 	private static final String URL_MISCONFIGURED_SERVER = "https://www.alexandria.unisg.ch/cgi/oai2?verb=Identify";
 	private static final String URL_GOODSNI_SERVER = "https://air.unimi.it/oai/openaire?verb=Identify";
 
-	private static final SSLContextBuilder sslContextBuilder = new SSLContextBuilder();
-	private static SSLConnectionSocketFactory sslSocketFactory;
-
-	private static final HttpComponentsClientHttpRequestFactory httpRequestFactory = new HttpComponentsClientHttpRequestFactory(HttpClientBuilder
-			.create()
-			.setConnectionTimeToLive(0, TimeUnit.MILLISECONDS)
-			.setMaxConnPerRoute(1)
-			.setMaxConnTotal(1)
-			.disableAutomaticRetries()
-			.disableConnectionState()
-			.setSSLSocketFactory(sslSocketFactory)
-			.build());
-
-//	static {
-//		System.setProperty("javax.net.debug", "ssl,handshake");
-//		System.setProperty("jsse.enableSNIExtension", "true");
-//		try {
-//			sslContextBuilder.loadTrustMaterial(null, (chain, authType) -> true);
-//			SSLParameters sslParameters = new SSLParameters();
-//			List sniHostNames = new ArrayList(1);
-//			//sniHostNames.add(new SNIHostName(url.getHost()));
-//			sslParameters.setServerNames(sniHostNames);
-//			sslSocketFactory = new SSLConnectionSocketFactory(sslContextBuilder.build().se, sslParameters);
-//
-//		} catch (final NoSuchAlgorithmException | KeyStoreException | KeyManagementException e) {
-//			log.error(e);;
-//		}
-//	}
-
 	@Before
 	public void setUp() {
 		connector = new HttpConnector();
@@ -75,8 +38,7 @@
 		System.out.println(connector.getInputSource(URL_MISCONFIGURED_SERVER));
 	}
 
-	@Test
-	@Ignore
+	@Test(expected = javax.net.ssl.SSLProtocolException.class)
 	public void testMisconfiguredServers2() throws IOException {
 		HttpURLConnection urlConn = (HttpURLConnection) new URL(URL_MISCONFIGURED_SERVER).openConnection();
 		urlConn.getResponseMessage();
@@ -83,34 +45,6 @@
 	}
 
 	@Test
-	public void testDisablingSNI() throws IOException {
-		HttpURLConnection urlConn = null;
-		try {
-			urlConn = (HttpURLConnection) new URL(URL_MISCONFIGURED_SERVER).openConnection();
-			urlConn.getResponseMessage();
-		 } catch(SSLProtocolException sslExce) {
-			if (sslExce.getMessage() != null && sslExce.getMessage().equals("handshake alert:  unrecognized_name")) {
-				System.out.println("Server has misconfigured SSL SNI (handshake alert:  unrecognized_name). Trying to disable SNI");
-				if (urlConn instanceof HttpsURLConnection) {
-					HttpResponse res = httpRequestFactory.getHttpClient().execute(new HttpGet(URL_MISCONFIGURED_SERVER));
-					System.out.println(res.getStatusLine());
-//					HttpsURLConnection httpsUrlConnection = (HttpsURLConnection) urlConn;
-//					httpsUrlConnection.setSSLSocketFactory(sslSocketFactory);
-//					httpsUrlConnection.setHostnameVerifier(new HostnameVerifier() {
-//						public boolean verify( String s, SSLSession sess ) {
-//							return true;
-//						}});
-//					httpsUrlConnection.getResponseMessage();
-				}
-
-			}
-		}
-	}
-
-
-
-
-	@Test
 	public void testGoodServers() throws CollectorServiceException {
 		System.out.println(connector.getInputSource(URL_GOODSNI_SERVER));
 	}
Index: modules/dnet-modular-collector-service/trunk/src/test/java/eu/dnetlib/data/collector/plugins/httplist/HttpListIteratorTest.java
===================================================================
--- modules/dnet-modular-collector-service/trunk/src/test/java/eu/dnetlib/data/collector/plugins/httplist/HttpListIteratorTest.java	(revision 53931)
+++ modules/dnet-modular-collector-service/trunk/src/test/java/eu/dnetlib/data/collector/plugins/httplist/HttpListIteratorTest.java	(revision 53932)
@@ -5,6 +5,7 @@
 import java.io.IOException;
 import java.util.Iterator;
 
+import eu.dnetlib.data.collector.plugins.HttpConnector;
 import org.apache.commons.io.FileUtils;
 import org.junit.Before;
 import org.junit.Ignore;
@@ -12,12 +13,14 @@
 
 public class HttpListIteratorTest {
 
+	private HttpConnector httpConnector;
 	// Under test
 	private Iterator<String> iter;
 
 	@Before
 	public void setUp() throws Exception {
-		iter = new HttpListIterator("http://www.dlib.org/", "http://www.dlib.org/metadata/dlib_meta_files.txt");
+		httpConnector = new HttpConnector();
+		iter = new HttpListIterator("http://www.dlib.org/", "http://www.dlib.org/metadata/dlib_meta_files.txt", httpConnector);
 	}
 
 	@Test
Index: modules/dnet-modular-collector-service/trunk/src/main/java/eu/dnetlib/data/collector/plugins/HttpCollectorPlugin.java
===================================================================
--- modules/dnet-modular-collector-service/trunk/src/main/java/eu/dnetlib/data/collector/plugins/HttpCollectorPlugin.java	(revision 53931)
+++ modules/dnet-modular-collector-service/trunk/src/main/java/eu/dnetlib/data/collector/plugins/HttpCollectorPlugin.java	(revision 53932)
@@ -2,27 +2,20 @@
 
 import java.io.BufferedInputStream;
 
-import org.apache.commons.httpclient.HttpClient;
-import org.apache.commons.httpclient.HttpMethod;
-import org.apache.commons.httpclient.HttpStatus;
-import org.apache.commons.httpclient.methods.GetMethod;
-
 import eu.dnetlib.data.collector.rmi.CollectorServiceException;
+import org.apache.commons.io.IOUtils;
+import org.springframework.beans.factory.annotation.Autowired;
 
 public class HttpCollectorPlugin extends AbstractSplittedRecordPlugin {
 
+	@Autowired
+	private HttpConnector httpConnector;
+
 	@Override
 	protected BufferedInputStream getBufferedInputStream(final String baseUrl) throws CollectorServiceException {
-		try {
-			final HttpClient client = new HttpClient();
-			final HttpMethod method = new GetMethod(baseUrl);
-			final int responseCode = client.executeMethod(method);
 
-			if (HttpStatus.SC_OK != responseCode) { throw new CollectorServiceException("Error " + responseCode + " dowloading url: " + baseUrl); }
-			return new BufferedInputStream(method.getResponseBodyAsStream());
-		} catch (Exception e) {
-			throw new CollectorServiceException("Error dowloading url: " + baseUrl);
-		}
+		String res = httpConnector.getInputSource(baseUrl);
+		return new BufferedInputStream(IOUtils.toInputStream(res));
 	}
 
 }
Index: modules/dnet-modular-collector-service/trunk/src/main/java/eu/dnetlib/data/collector/plugins/HttpConnector.java
===================================================================
--- modules/dnet-modular-collector-service/trunk/src/main/java/eu/dnetlib/data/collector/plugins/HttpConnector.java	(revision 53931)
+++ modules/dnet-modular-collector-service/trunk/src/main/java/eu/dnetlib/data/collector/plugins/HttpConnector.java	(revision 53932)
@@ -4,7 +4,6 @@
 import java.io.InputStream;
 import java.net.*;
 import java.security.GeneralSecurityException;
-import java.security.cert.CertificateException;
 import java.security.cert.X509Certificate;
 import java.util.List;
 import java.util.Map;
@@ -22,7 +21,6 @@
 
 /**
  * @author jochen, michele, andrea
- *
  */
 public class HttpConnector {
 
@@ -32,14 +30,14 @@
 	private int defaultDelay = 120; // seconds
 	private int readTimeOut = 120; // seconds
 
-	private String responseType=null;
+	private String responseType = null;
 
 	private String userAgent = "Mozilla/5.0 (compatible; OAI; +http://www.openaire.eu)";
 
-    public HttpConnector(){
-    	CookieHandler.setDefault(new CookieManager(null, CookiePolicy.ACCEPT_ALL)); 
-    }
-    
+	public HttpConnector() {
+		CookieHandler.setDefault(new CookieManager(null, CookiePolicy.ACCEPT_ALL));
+	}
+
 	/**
 	 * Given the URL returns the content via HTTP GET
 	 *
@@ -48,12 +46,41 @@
 	 * @throws CollectorServiceException when retrying more than maxNumberOfRetry times
 	 */
 	public String getInputSource(final String requestUrl) throws CollectorServiceException {
+		return attemptDownlaodAsString(requestUrl, 1, new CollectorPluginErrorLogList());
+	}
+
+	/**
+	 * Given the URL returns the content as a stream via HTTP GET
+	 *
+	 * @param requestUrl the URL
+	 * @return the content of the downloaded resource as InputStream
+	 * @throws CollectorServiceException when retrying more than maxNumberOfRetry times
+	 */
+	public InputStream getInputSourceAsStream(final String requestUrl) throws CollectorServiceException {
 		return attemptDownload(requestUrl, 1, new CollectorPluginErrorLogList());
 	}
 
+	private String attemptDownlaodAsString(final String requestUrl, final int retryNumber, final CollectorPluginErrorLogList errorList)
+			throws CollectorServiceException {
+		try {
+			InputStream s = attemptDownload(requestUrl, 1, new CollectorPluginErrorLogList());
+			try {
+				return IOUtils.toString(s);
+			} catch (IOException e) {
+				log.error("error while retrieving from http-connection occured: " + requestUrl, e);
+				Thread.sleep(defaultDelay * 1000);
+				errorList.add(e.getMessage());
+				return attemptDownlaodAsString(requestUrl, retryNumber + 1, errorList);
+			}
+			finally{
+				IOUtils.closeQuietly(s);
+			}
+		} catch (InterruptedException e) {
+			throw new CollectorServiceException(e);
+		}
+	}
 
-
-	private String attemptDownload(final String requestUrl, final int retryNumber, final CollectorPluginErrorLogList errorList)
+	private InputStream attemptDownload(final String requestUrl, final int retryNumber, final CollectorPluginErrorLogList errorList)
 			throws CollectorServiceException {
 
 		if (retryNumber > maxNumberOfRetry) { throw new CollectorServiceException("Max number of retries exceeded. Cause: \n " + errorList); }
@@ -79,7 +106,8 @@
 					errorList.add("503 Service Unavailable");
 					urlConn.disconnect();
 					return attemptDownload(requestUrl, retryNumber + 1, errorList);
-				} else if ((urlConn.getResponseCode() == HttpURLConnection.HTTP_MOVED_PERM) || (urlConn.getResponseCode() == HttpURLConnection.HTTP_MOVED_TEMP)) {
+				} else if ((urlConn.getResponseCode() == HttpURLConnection.HTTP_MOVED_PERM) || (urlConn.getResponseCode()
+						== HttpURLConnection.HTTP_MOVED_TEMP)) {
 					final String newUrl = obtainNewLocation(urlConn.getHeaderFields());
 					log.debug("The requested url has been moved to " + newUrl);
 					errorList.add(String.format("%s %s. Moved to: %s", urlConn.getResponseCode(), urlConn.getResponseMessage(), newUrl));
@@ -94,8 +122,7 @@
 				} else {
 					input = urlConn.getInputStream();
 					responseType = urlConn.getContentType();
-
-					return IOUtils.toString(input);
+					return input;
 				}
 			} catch (IOException e) {
 				log.error("error while retrieving from http-connection occured: " + requestUrl, e);
@@ -102,8 +129,6 @@
 				Thread.sleep(defaultDelay * 1000);
 				errorList.add(e.getMessage());
 				return attemptDownload(requestUrl, retryNumber + 1, errorList);
-			} finally {
-				IOUtils.closeQuietly(input);
 			}
 		} catch (InterruptedException e) {
 			throw new CollectorServiceException(e);
@@ -124,8 +149,10 @@
 
 	private int obtainRetryAfter(final Map<String, List<String>> headerMap) {
 		for (String key : headerMap.keySet()) {
-			if ((key != null) && key.toLowerCase().equals("retry-after") && (headerMap.get(key).size() > 0) && NumberUtils.isNumber(headerMap.get(key).get(0))) { return Integer
-					.parseInt(headerMap.get(key).get(0)) + 10; }
+			if ((key != null) && key.toLowerCase().equals("retry-after") && (headerMap.get(key).size() > 0) && NumberUtils.isCreatable(headerMap.get(key).get(0))) {
+				return Integer
+						.parseInt(headerMap.get(key).get(0)) + 10;
+			}
 		}
 		return -1;
 	}
@@ -144,10 +171,12 @@
 		final X509TrustManager tm = new X509TrustManager() {
 
 			@Override
-			public void checkClientTrusted(final X509Certificate[] xcs, final String string) throws CertificateException {}
+			public void checkClientTrusted(final X509Certificate[] xcs, final String string) {
+			}
 
 			@Override
-			public void checkServerTrusted(final X509Certificate[] xcs, final String string) throws CertificateException {}
+			public void checkServerTrusted(final X509Certificate[] xcs, final String string) {
+			}
 
 			@Override
 			public X509Certificate[] getAcceptedIssuers() {
@@ -164,7 +193,6 @@
 		}
 	}
 
-
 	public int getMaxNumberOfRetry() {
 		return maxNumberOfRetry;
 	}
@@ -189,6 +217,8 @@
 		this.readTimeOut = readTimeOut;
 	}
 
-	public String getResponseType() {return responseType;}
+	public String getResponseType() {
+		return responseType;
+	}
 
 }
Index: modules/dnet-modular-collector-service/trunk/src/main/java/eu/dnetlib/data/collector/plugins/httplist/HttpListCollectorPlugin.java
===================================================================
--- modules/dnet-modular-collector-service/trunk/src/main/java/eu/dnetlib/data/collector/plugins/httplist/HttpListCollectorPlugin.java	(revision 53931)
+++ modules/dnet-modular-collector-service/trunk/src/main/java/eu/dnetlib/data/collector/plugins/httplist/HttpListCollectorPlugin.java	(revision 53932)
@@ -1,13 +1,15 @@
 package eu.dnetlib.data.collector.plugins.httplist;
 
-import java.util.Iterator;
-
 import eu.dnetlib.data.collector.plugin.AbstractCollectorPlugin;
+import eu.dnetlib.data.collector.plugins.HttpConnector;
 import eu.dnetlib.data.collector.rmi.CollectorServiceException;
 import eu.dnetlib.data.collector.rmi.InterfaceDescriptor;
+import org.springframework.beans.factory.annotation.Autowired;
 
 public class HttpListCollectorPlugin extends AbstractCollectorPlugin {
 
+	@Autowired
+	private HttpConnector httpConnector;
 	@Override
 	public Iterable<String> collect(final InterfaceDescriptor interfaceDescriptor, final String fromDate, final String untilDate)
 			throws CollectorServiceException {
@@ -14,12 +16,6 @@
 		final String baseUrl = interfaceDescriptor.getBaseUrl();
 		final String listAddress = interfaceDescriptor.getParams().get("listUrl");
 
-		return new Iterable<String>() {
-
-			@Override
-			public Iterator<String> iterator() {
-				return new HttpListIterator(baseUrl, listAddress);
-			}
-		};
+		return () -> new HttpListIterator(baseUrl, listAddress, httpConnector);
 	}
 }
Index: modules/dnet-modular-collector-service/trunk/src/main/java/eu/dnetlib/data/collector/plugins/httplist/HttpListIterator.java
===================================================================
--- modules/dnet-modular-collector-service/trunk/src/main/java/eu/dnetlib/data/collector/plugins/httplist/HttpListIterator.java	(revision 53931)
+++ modules/dnet-modular-collector-service/trunk/src/main/java/eu/dnetlib/data/collector/plugins/httplist/HttpListIterator.java	(revision 53932)
@@ -6,24 +6,23 @@
 import java.io.StringReader;
 import java.util.Iterator;
 
-import org.apache.commons.httpclient.HttpClient;
-import org.apache.commons.httpclient.HttpMethod;
-import org.apache.commons.httpclient.HttpStatus;
-import org.apache.commons.httpclient.methods.GetMethod;
+import eu.dnetlib.data.collector.plugins.HttpConnector;
+import eu.dnetlib.data.collector.rmi.CollectorServiceException;
 import org.apache.commons.io.IOUtils;
 import org.apache.commons.lang3.StringUtils;
 
 public class HttpListIterator implements Iterator<String> {
 
-	final HttpClient client = new HttpClient();
+	private HttpConnector httpConnector;
 
 	private String baseUrl;
 	private String currentLine;
 	private BufferedReader reader;
 
-	public HttpListIterator(final String baseUrl, final String listAddress) {
+	public HttpListIterator(final String baseUrl, final String listAddress, final HttpConnector httpConnector) {
+		this.httpConnector = httpConnector;
+		this.baseUrl = baseUrl;
 		try {
-			this.baseUrl = baseUrl;
 			this.reader = new BufferedReader(new StringReader(download(listAddress)));
 			this.currentLine = reader.readLine();
 		} catch (Exception e) {
@@ -55,15 +54,9 @@
 
 	private String download(final String url) {
 		try {
-			final HttpMethod method = new GetMethod(url);
-			final int responseCode = client.executeMethod(method);
-			if (responseCode == HttpStatus.SC_OK) {
-				return IOUtils.toString(new BufferedInputStream(method.getResponseBodyAsStream()));
-			} else {
-				throw new RuntimeException("Error " + responseCode + " dowloading url: " + url);
-			}
-		} catch (IOException e) {
-			throw new RuntimeException("Error dowloading url: " + url);
+			return IOUtils.toString(new BufferedInputStream(httpConnector.getInputSourceAsStream(url)));
+		} catch(Exception e) {
+			throw new RuntimeException(String.format("Error downloading url: %s, error: %s", url, e.getMessage()));
 		}
 	}
 
@@ -70,4 +63,11 @@
 	@Override
 	public void remove() {}
 
+	public HttpConnector getHttpConnector() {
+		return httpConnector;
+	}
+
+	public void setHttpConnector(final HttpConnector httpConnector) {
+		this.httpConnector = httpConnector;
+	}
 }
Index: modules/dnet-modular-collector-service/trunk/pom.xml
===================================================================
--- modules/dnet-modular-collector-service/trunk/pom.xml	(revision 53931)
+++ modules/dnet-modular-collector-service/trunk/pom.xml	(revision 53932)
@@ -3,7 +3,7 @@
 	<parent>
 		<groupId>eu.dnetlib</groupId>
 		<artifactId>dnet45-parent</artifactId>
-		<version>1.0.0</version>
+		<version>1.0.0-SNAPSHOT</version>
 		<relativePath />
 	</parent>
 	<modelVersion>4.0.0</modelVersion>
@@ -50,7 +50,7 @@
 		<dependency>
 			<groupId>commons-net</groupId>
 			<artifactId>commons-net</artifactId>
-			<version>3.3</version>
+			<version>[3.6, 4.0)</version>
 		</dependency>
 		<dependency>
 			<groupId>org.apache.commons</groupId>
@@ -63,10 +63,15 @@
 			<version>${mockito.version}</version>
 			<scope>test</scope>
 		</dependency>
+		<!--<dependency>-->
+			<!--<groupId>commons-httpclient</groupId>-->
+			<!--<artifactId>commons-httpclient</artifactId>-->
+			<!--<version>3.1</version>-->
+		<!--</dependency>-->
 		<dependency>
-			<groupId>commons-httpclient</groupId>
-			<artifactId>commons-httpclient</artifactId>
-			<version>3.1</version>
+			<groupId>org.apache.httpcomponents</groupId>
+			<artifactId>httpclient</artifactId>
+			<version>[4.5.6,5.0.0)</version>
 		</dependency>
 		<dependency>
 			<groupId>com.google.code.gson</groupId>
@@ -99,19 +104,6 @@
 			<artifactId>vtd-xml</artifactId>
 			<version>2.13.2</version>
 		</dependency>
-	 <dependency>
-	  <groupId>org.apache.httpcomponents</groupId>
-	  <artifactId>httpcore</artifactId>
-	  <version>4.4.1</version>
-	  <scope>test</scope>
-	  <type>jar</type>
-	 </dependency>
-	 <dependency>
-	  <groupId>org.apache.httpcomponents</groupId>
-	  <artifactId>httpclient</artifactId>
-	  <version>4.5</version>
-	  <scope>test</scope>
-	  <type>jar</type>
-	 </dependency>
+
 	</dependencies>
 </project>
Index: modules/dnet-modular-objectstore-service/trunk/src/main/java/eu/dnetlib/data/objectstore/modular/ObjectStoreConsistency.java
===================================================================
--- modules/dnet-modular-objectstore-service/trunk/src/main/java/eu/dnetlib/data/objectstore/modular/ObjectStoreConsistency.java	(revision 53931)
+++ modules/dnet-modular-objectstore-service/trunk/src/main/java/eu/dnetlib/data/objectstore/modular/ObjectStoreConsistency.java	(revision 53932)
@@ -1,5 +1,8 @@
 package eu.dnetlib.data.objectstore.modular;
 
+import java.util.List;
+import java.util.Set;
+
 import com.google.common.base.Function;
 import com.google.common.collect.Lists;
 import com.google.common.collect.Sets;
@@ -16,10 +19,7 @@
 import org.springframework.web.bind.annotation.RequestMapping;
 import org.springframework.web.bind.annotation.ResponseBody;
 
-import java.util.List;
-import java.util.Set;
 
-
 @Controller
 public class ObjectStoreConsistency {
 
Index: modules/dnet-modular-objectstore-service/trunk/pom.xml
===================================================================
--- modules/dnet-modular-objectstore-service/trunk/pom.xml	(revision 53931)
+++ modules/dnet-modular-objectstore-service/trunk/pom.xml	(revision 53932)
@@ -3,7 +3,7 @@
 	<parent>
 		<groupId>eu.dnetlib</groupId>
 		<artifactId>dnet45-parent</artifactId>
-		<version>1.0.0</version>
+		<version>1.0.0-SNAPSHOT</version>
 	</parent>
 	<modelVersion>4.0.0</modelVersion>
 	<groupId>eu.dnetlib</groupId>
@@ -46,15 +46,15 @@
 			<scope>test</scope>
 		</dependency>
 		<dependency>
-			<groupId>apache</groupId>
+			<groupId>commons-net</groupId>
 			<artifactId>commons-net</artifactId>
-			<version>2.2</version>
+			<version>[3.6,4.0)</version>
 		</dependency>
-		<dependency>
-			<groupId>apache</groupId>
-			<artifactId>commons-net-ftp</artifactId>
-			<version>2.0</version>
-		</dependency>
+		<!--<dependency>-->
+			<!--<groupId>apache</groupId>-->
+			<!--<artifactId>commons-net-ftp</artifactId>-->
+			<!--<version>2.0</version>-->
+		<!--</dependency>-->
 
 	</dependencies>
 </project>